Update atlas
https://api.faraday.ai/v1/atlases/{atlas_id}Update an existing atlas
Authentication
Provide your API key in the Authorization header. You can find your API key in the Settings page of the dashboard.
Authorization: Bearer YOUR_TOKENpath parameters
The UUID of an atlas
Body
Fields to update on the existing atlas (all optional)
optionsdiscriminated type (type)Atlas connection options
output_to_locationsobjectHow to build a location out of each row of the source data. Each member below names a column in the source data.
Each location is placed by exactly one of three groups of columns: a geometry column (...
not allowedResponses
200The updated atlas
archived_atstring<date-time>If not null, this resource will no longer receive updates, but will still be visable.
connection_idstring<uuid>The UUID of a connection - see /connections for more detail.
Only a subset of connection types can be configured for atlas inges...
"5e0dfa56-2d52-4c06-a870-bc79c71e86a3"countsobjectLocation counts for this atlas. These will only be displayed if the atlas built successfully.
When this resource was created.
detected_columnsarray[object]An array of columns
[
{
"data_type": "text",
"is_nullable": false,
"name": "store_id"
},
{
"data_type": "long",
"is_nullable": true,
"name": "sq_ft"
}
]A unique ID for this resource.
"4c6c0f1e-0a58-4f1a-9c8a-52a1a1a3f5b7"last_read_input_atstring<date-time>The last time this resource's input was read.
last_updated_config_atstring<date-time>The last time this resource's configuration was updated. If this is more recent than last_updated_output_at, the resource will be rebuilt.
last_updated_output_atstring<date-time>The last time this resource successfully built.
An identifying name for this atlas.
^(?!\s*$).+64Atlas connection options
How to build a location out of each row of the source data. Each member below names a column in the source data.
Each location is placed by exactly one of three groups of columns: a geometry column (...
not allowedThe current state of this resource and any updates.
"pending"new, starting, running, ready, errorstatus_changed_atstring<date-time>When the status of this resource was last updated.
status_errorstringIf this resource has status == "error", this will contain an error message.
When this resource was last updated.
400The request was invalid.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
401No API key was supplied.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
403Access to this resource was forbidden.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
404The requested resource ID was not found.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
500An internal server error occurred.
A Faraday error code.
Some possible values include:
Generic HTTP Errors
- BAD_REQUEST: The request could not be validated.
- FORBIDDEN: You do not have permission to access the specified resour...
"ERROR_TYPE"BAD_REQUEST, FORBIDDEN, MAX_RESOURCES_REACHED, INTERNAL_SERVER_ERROR, INVALID_AUTHORIZATION, NOT_FOUND, MALFORMED_API_KEY, MISSING_API_KEY, EXPIRED_API_KEY, VALIDATION_FAILED, CONFLICTA unique ID for this error. Please include this in bug reports.
"082f9513-901c-4308-8081-902a8fe22d7e"validationErrorsarray[object]JSON Schema validation errors, if any.
Tags
Test request
Request snippet
curl -X PATCH 'https://api.faraday.ai/v1/atlases/{atlas_id}' \
-H 'Content-Type: application/merge-patch+json' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-d '{
"name": "string (pattern: ^(?!\\s*$).+)",
"options": {
"table_name": "string (pattern: ^[_a-zA-Z][a-zA-Z0-9_]+$)",
"type": "aws_aurora_mysql"
},
"output_to_locations": {
"city": "city",
"geometry": "catchment",
"house_number_and_street": [
"address_1",
"address_2"
],
"latitude": "lat",
"longitude": "long",
"name": "store_name",
"postcode": "zip",
"properties": [
{
"column": "sq_ft",
"name": "square_footage",
"value": "vermont"
}
],
"reference_key": "store_id",
"state": "state"
}
}'Example response
{
"archived_at": "2024-01-01T12:00:00Z",
"connection_id": "5e0dfa56-2d52-4c06-a870-bc79c71e86a3",
"counts": {
"empty_geometry": 1,
"locatable": 994,
"oversized_geometry": 1,
"rows": 1000,
"unreadable_geometry": 4
},
"created_at": "2024-01-01T12:00:00Z",
"detected_columns": [
{
"data_type": "text",
"is_nullable": false,
"name": "store_id"
},
{
"data_type": "long",
"is_nullable": true,
"name": "sq_ft"
}
],
"id": "4c6c0f1e-0a58-4f1a-9c8a-52a1a1a3f5b7",
"last_read_input_at": "2024-01-01T12:00:00Z",
"last_updated_config_at": "2024-01-01T12:00:00Z",
"last_updated_output_at": "2024-01-01T12:00:00Z",
"name": "string (pattern: ^(?!\\s*$).+)",
"options": {
"table_name": "string (pattern: ^[_a-zA-Z][a-zA-Z0-9_]+$)",
"type": "aws_aurora_mysql"
},
"output_to_locations": {
"city": "city",
"geometry": "catchment",
"house_number_and_street": [
"address_1",
"address_2"
],
"latitude": "lat",
"longitude": "long",
"name": "store_name",
"postcode": "zip",
"properties": [
{
"column": "sq_ft",
"name": "square_footage",
"value": "vermont"
}
],
"reference_key": "store_id",
"state": "state"
},
"resource_type": "atlases",
"status": "pending",
"status_changed_at": "2024-01-01T12:00:00Z",
"status_error": "string",
"updated_at": "2024-01-01T12:00:00Z"
}